﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
    <PropertyGroup>
        <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
        <Platform Condition=" '$(Platform)' == '' ">iPhoneSimulator</Platform>
        <ProductVersion>8.0.30703</ProductVersion>
        <SchemaVersion>2.0</SchemaVersion>
        <ProjectGuid>{B71FE692-28D4-4A63-88D4-D3A21BA3A630}</ProjectGuid>
        <ProjectTypeGuids>{FEACFBD2-3405-455C-9665-78FE426C6842};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
        <OutputType>Exe</OutputType>
        <RootNamespace>TravelRecordApp.iOS</RootNamespace>
        <IPhoneResourcePrefix>Resources</IPhoneResourcePrefix>
        <AssemblyName>TravelRecordApp.iOS</AssemblyName>
        <MtouchHttpClientHandler>NSUrlSessionHandler</MtouchHttpClientHandler>
        <LangVersion>9</LangVersion>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|iPhoneSimulator' ">
        <DebugSymbols>true</DebugSymbols>
        <DebugType>full</DebugType>
        <Optimize>false</Optimize>
        <OutputPath>bin\iPhoneSimulator\Debug</OutputPath>
        <DefineConstants>DEBUG</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <ConsolePause>false</ConsolePause>
        <MtouchArch>x86_64</MtouchArch>
        <MtouchLink>None</MtouchLink>
        <MtouchDebug>true</MtouchDebug>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|iPhoneSimulator' ">
        <DebugType>none</DebugType>
        <Optimize>true</Optimize>
        <OutputPath>bin\iPhoneSimulator\Release</OutputPath>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <MtouchLink>None</MtouchLink>
        <MtouchArch>x86_64</MtouchArch>
        <ConsolePause>false</ConsolePause>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|iPhone' ">
        <DebugSymbols>true</DebugSymbols>
        <DebugType>full</DebugType>
        <Optimize>false</Optimize>
        <OutputPath>bin\iPhone\Debug</OutputPath>
        <DefineConstants>DEBUG</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <ConsolePause>false</ConsolePause>
        <MtouchArch>ARM64</MtouchArch>
        <CodesignKey>iPhone Developer</CodesignKey>
        <MtouchDebug>true</MtouchDebug>
        <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|iPhone' ">
        <DebugType>none</DebugType>
        <Optimize>true</Optimize>
        <OutputPath>bin\iPhone\Release</OutputPath>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <MtouchArch>ARM64</MtouchArch>
        <ConsolePause>false</ConsolePause>
        <CodesignKey>iPhone Developer</CodesignKey>
        <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Ad-Hoc|iPhone' ">
        <DebugType>none</DebugType>
        <Optimize>True</Optimize>
        <OutputPath>bin\iPhone\Ad-Hoc</OutputPath>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <ConsolePause>False</ConsolePause>
        <MtouchArch>ARM64</MtouchArch>
        <BuildIpa>True</BuildIpa>
        <CodesignProvision>Automatic:AdHoc</CodesignProvision>
        <CodesignKey>iPhone Distribution</CodesignKey>
        <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'AppStore|iPhone' ">
        <DebugType>none</DebugType>
        <Optimize>True</Optimize>
        <OutputPath>bin\iPhone\AppStore</OutputPath>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
        <ConsolePause>False</ConsolePause>
        <MtouchArch>ARM64</MtouchArch>
        <CodesignProvision>Automatic:AppStore</CodesignProvision>
        <CodesignKey>iPhone Distribution</CodesignKey>
        <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    </PropertyGroup>
    <ItemGroup>
        <Compile Include="Main.cs" />
        <Compile Include="AppDelegate.cs" />
        <None Include="Entitlements.plist" />
        <None Include="Info.plist" />
        <Compile Include="Properties\AssemblyInfo.cs" />
    </ItemGroup>
    <ItemGroup>
        <InterfaceDefinition Include="Resources\LaunchScreen.storyboard" />
        <ImageAsset Include="Assets.xcassets\AppIcon.appiconset\Contents.json">
            <Visible>false</Visible>
        </ImageAsset>
    </ItemGroup>
    <ItemGroup>
        <Reference Include="System" />
        <Reference Include="System.Xml" />
        <Reference Include="System.Core" />
        <Reference Include="Xamarin.iOS" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="Xamarin.Forms" Version="5.0.0.2012" />
        <PackageReference Include="Xamarin.Forms.Maps" Version="5.0.0.2012" />
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\TravelRecordApp\TravelRecordApp.csproj">
            <Project>{F185B310-4B1C-4E66-963D-BB10C687C238}</Project>
            <Name>TravelRecordApp</Name>
        </ProjectReference>
    </ItemGroup>
    <Import Project="$(MSBuildExtensionsPath)\Xamarin\iOS\Xamarin.iOS.CSharp.targets" />
</Project>